Once Monnet receives a notification from the bank that a transaction has been completed (paid by the shopper), Monnet will notify the Merchant POST URL.
The merchant must provide Monnet with a public URL (HTTPS) page that accepts parameters using HTTP POST standards. This page can be coded in any language but should respond using a standard format.
📦 Request Payload
Monnet will POST the following information to the URL:
| Field | Description |
|---|---|
| payinStateID | Integer Payin State ID. Status |
| payinState | String Payin Status description. Status |
| payinStatusErrorCode | Integer Field reserved for future use. Will not contain data in this notification and should not be evaluated. |
| payinStatusErrorMessage | String Field reserved for future use. Will not contain data in this notification and should not be evaluated |
| payinMerchantID | Integer Merchant Identifier for the Payin API. |
| payinAmount | Decimal The amount of the transaction. Use 2 decimals. |
| payinCurrency | String (ISO-4217) The currency of the transaction Example USD, EUR, MXN, etc. |
| payinMerchantOperationNumber | String Reference number of the sale. This value is used to notify Merchants about a payment. |
| payinMethod | String Payment Method |
| payinVerification | String (Required) HASH SHA512 of: payinMerchantID+ payinMerchantOperationNumber+ payinAmount+ payinCurrency+ KeyMonnet |
| additionalInformation | Array (Optional) Contains supplementary data from the processor, such as additional context or transaction metadata. |
| errorDetails | Object (Optional) Contains the homologated error code and description, based on the error returned by the processor. |
| codeErrorTrx | String Shows a homologated error code if payment confirmation fails. Error Codes |
| messageErrorTrx | String Shows the homologated error description if payment confirmation fails Error Codes |
✅ Successful Response – 200
Monnet expects an HTTP 200 response to confirm successful notification delivery.
📤Request Standard Payload
{
"payinStateID": "5",
"payinState": "Autorizado",
"payinStatusErrorMessage": "",
"payinStatusErrorCode": "00",
"payinMerchantID": "674",
"payinAmount": "30.0",
"payinCurrency": "PEN",
"payinMerchantOperationNumber": "2-2657443175",
"payinMethod": "Cash",
"payinVerification": ""
}
📤Request Complete Payload
Important
The
additionalInformationanderrorDetailsfields are optional and may not be present in all webhook notifications from Monnet.Your integration must handle their absence gracefully and should not assume these fields are always included.
This notification payload is typically used in card payment flows and may vary depending on the payment method.
{
"payinStateID": "6",
"payinState": "Denegado",
"payinStatusErrorMessage": "",
"payinStatusErrorCode": "00",
"payinMerchantID": "",
"payinAmount": "200000.0",
"payinCurrency": "CLP",
"payinMerchantOperationNumber": "",
"payinMethod": "TCTD",
"payinVerification": "",
"additionalInformation": [],
"errorDetails": {}
}
{
"payinStateID":"5",
"payinState":"Autorizado",
"payinStatusErrorMessage":"",
"payinStatusErrorCode":"00",
"payinMerchantID":"",
"payinAmount":"22000.00",
"payinCurrency":"ARS",
"payinMerchantOperationNumber":"",
"payinMethod":"TD",
"payinVerification":"",
"additionalInformation":[
{
"code":"",
"value":""
}
]
}
{
"payinStateID": "6",
"payinState": "Denegado",
"payinStatusErrorMessage": "",
"payinStatusErrorCode": "00",
"payinMerchantID": "",
"payinAmount": "200000.0",
"payinCurrency": "CLP",
"payinMerchantOperationNumber": "",
"payinMethod": "TCTD",
"payinVerification": "",
"errorDetails":
{
"codeErrorTrx":"",
"messageErrorTrx":""
}
}